Corriger les erreurs pouvant être rencontrées lors de l'installation de SpamAssassin

Voici un petit aide-mémoire rassemblant les moyens de corriger les erreurs pouvant être rencontrées lors d'une installation de SpamAssassin sur un serveur Debian

Corriger l'erreur warn: netset: cannot include 127.0.0.0/8 as it has already been included

À partir de la version 3.2 de SpamAssassin, les erreurs suivantes peuvent apparaître dans les logs/

Jan  10 09:26:18.227 [12854] warn: netset: cannot include 127.0.0.0/8 as it has already been included
Jan  10 09:26:18.227 [12854] warn: netset: cannot include 0:0:0:0:0:0:0:1/128 as it has already been included 

L'erreur vient du fait que depuis la version 3.2 de SpamAssassin, localhost est codé en dur dans le progrmamme. Si vous rencontrez cette erreur, il vous suffit de supprimer les appels aux adresses locales dans le fichier de configuration de SpamAssassin situé à /var/mail/spamassassin/local.cf. C'est normalement à la ligne commençant par internal_networks et/ou trusted_networks.

Notes de version

  • [12/01/2020] : Création de l'article

Auteurs et sources